Project Chrono: chrono::ConvexShape Class Reference

Public Member Functions | Public Attributes | List of all members
chrono::ConvexShape Class Reference
Chrono::Engine » Collision detection » Multicore collision detection

## Description

Convex contact shape.

`#include <ChConvexShape.h>`

Inheritance diagram for chrono::ConvexShape:
[legend]
Collaboration diagram for chrono::ConvexShape:
[legend]

## Public Member Functions
| ConvexShape (int i, shape_container *d)
int | Type () const override
real3 | A () const override
quaternion | R () const override
int | Size () const override
const real3 * | Convex () const override
const real3 * | Triangles () const override
real | Radius () const override
real3 | Box () const override
real4 | Rbox () const override
real3 | Cylshell () const override
real2 | Capsule () const override
Public Member Functions inherited from chrono::ConvexBase
virtual uvec4 | TetIndex () const
virtual const real3 * | TetNodes () const

## Public Attributes
int | index
shape_container * | data

## Member Function Documentation

## ◆ A()

real3 chrono::ConvexShape::A | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from chrono::ConvexBase.

## ◆ Box()

real3 chrono::ConvexShape::Box | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from chrono::ConvexBase.

## ◆ Capsule()

real2 chrono::ConvexShape::Capsule | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from chrono::ConvexBase.

## ◆ Convex()

const real3 * chrono::ConvexShape::Convex | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from chrono::ConvexBase.

## ◆ Cylshell()

real3 chrono::ConvexShape::Cylshell | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from chrono::ConvexBase.

## ◆ R()

quaternion chrono::ConvexShape::R | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from chrono::ConvexBase.

## ◆ Radius()

real chrono::ConvexShape::Radius | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from chrono::ConvexBase.

## ◆ Rbox()

real4 chrono::ConvexShape::Rbox | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from chrono::ConvexBase.

## ◆ Size()

int chrono::ConvexShape::Size | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from chrono::ConvexBase.

## ◆ Triangles()

const real3 * chrono::ConvexShape::Triangles | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from chrono::ConvexBase.

## ◆ Type()

int chrono::ConvexShape::Type | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from chrono::ConvexBase.

The documentation for this class was generated from the following file:

- D:/W/B/src/chrono-9.0.1/src/chrono/collision/multicore/ChConvexShape.h